package com.inkasso.factoring.dict.entity;

import com.inkasso.factoring.common.entity.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * @Description:系统字典项实体类
 * @Date:2017年6月6日 下午12:00:24
 */
public class Dictionary extends BaseEntity {

    /**
     * 父级字典Id
     */
    private Long parentId;
    /**
     * 编码
     */
    @Length(min = 1, max = 100, message = "编码必须是1~100个字符之间")
    private String code;
    /**
     * 名称
     */
    @Length(min = 1, max = 30, message = "名称必须是1~30个字符之间")
    private String name;

    private String value;

    /**
     * 显示顺序
     */
    private int gradation;

    private Boolean show;

    public Boolean getShow() {
        return show;
    }

    public void setShow(Boolean show) {
        this.show = show;
    }

    public Dictionary() {
    }

    public Dictionary(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public int getGradation() {
        return gradation;
    }

    public void setGradation(int gradation) {
        this.gradation = gradation;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
